libkf5mime-dev_17.12.3-0ubuntu1_amd64.deb


Advertisement

Description

libkf5mime-dev - library for handling MIME data - development files

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package filename libkf5mime-dev_17.12.3-0ubuntu1_amd64.deb
Package name libkf5mime-dev
Package version 17.12.3
Package release 0ubuntu1
Package architecture amd64
Package type deb
Category universe/libdevel
Homepage https://projects.kde.org/projects/kde/pim/kmime
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 25.85 KB
Installed size 159.00 KB
This library provides an API for handling MIME data. MIME (Multipurpose
Internet Mail Extensions) is an Internet Standard that extends the format
of e-mail to support text in character sets other than US-ASCII, non-text
attachments, multi-part message bodies, and header information in non-ASCII
character sets.
This package contains the development files.

Alternatives

Package Version Architecture Repository
libkf5mime-dev_17.12.3-0ubuntu1_i386.deb 17.12.3 i386 Ubuntu Universe
libkf5mime-dev - - -

Requires

Name Value
libboost-dev >= 1.49~
libkf5mime5abi2 = 17.12.3-0ubuntu1
qtbase5-dev >= 5.6.1~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libkf5mime-dev_17.12.3-0ubuntu1_amd64.deb
Source Package kmime

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkf5mime-dev deb package:
    # sudo apt-get install libkf5mime-dev

Files

Path
/usr/include/KF5/kmime_version.h
/usr/include/KF5/KMime/KMime/Content
/usr/include/KF5/KMime/KMime/ContentIndex
/usr/include/KF5/KMime/KMime/DateFormatter
/usr/include/KF5/KMime/KMime/HeaderParsing
/usr/include/KF5/KMime/KMime/Headers
/usr/include/KF5/KMime/KMime/KMimeMessage
/usr/include/KF5/KMime/KMime/MDN
/usr/include/KF5/KMime/KMime/Message
/usr/include/KF5/KMime/KMime/NewsArticle
/usr/include/KF5/KMime/KMime/Types
/usr/include/KF5/KMime/KMime/Util
/usr/include/KF5/KMime/kmime/kmime_content.h
/usr/include/KF5/KMime/kmime/kmime_contentindex.h
/usr/include/KF5/KMime/kmime/kmime_dateformatter.h
/usr/include/KF5/KMime/kmime/kmime_export.h
/usr/include/KF5/KMime/kmime/kmime_header_parsing.h
/usr/include/KF5/KMime/kmime/kmime_headers.h
/usr/include/KF5/KMime/kmime/kmime_mdn.h
/usr/include/KF5/KMime/kmime/kmime_message.h
/usr/include/KF5/KMime/kmime/kmime_newsarticle.h
/usr/include/KF5/KMime/kmime/kmime_types.h
/usr/include/KF5/KMime/kmime/kmime_util.h
/usr/lib/x86_64-linux-gnu/libKF5Mime.so
/usr/lib/x86_64-linux-gnu/cmake/KF5Mime/KF5MimeConfig.cmake
/usr/lib/x86_64-linux-gnu/cmake/KF5Mime/KF5MimeConfigVersion.cmake
/usr/lib/x86_64-linux-gnu/cmake/KF5Mime/KF5MimeTargets-debian.cmake
/usr/lib/x86_64-linux-gnu/cmake/KF5Mime/KF5MimeTargets.cmake
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_KMime.pri
/usr/share/doc/libkf5mime-dev/changelog.Debian.gz
/usr/share/doc/libkf5mime-dev/copyright

Changelog

2018-03-16 - Rik Mills <rikmills@kubuntu.org>
kmime (17.12.3-0ubuntu1) bionic; urgency=medium
* New upstream release (17.12.3)
2018-02-28 - Rik Mills <rikmills@kubuntu.org>
kmime (17.12.2-0ubuntu1) bionic; urgency=medium
[ Clive Johnston ]
* Bump soname due to binary incompatible changes:
libkf5mime5abi1 -> libkf5mime5abi2
* Update symbols from amd64 buildlog
[ Rik Mills ]
* New upstream release (17.11.80)
* New upstream release (17.11.90)
* New upstream release (17.12.0)
* Follow debian marking -dev packages as Multi-Arch: same
* New upstream release (17.12.2)
* Update symbols from build logs
2017-12-01 - Rik Mills <rikmills@kubuntu.org>
kmime (17.08.3-0ubuntu1) bionic; urgency=medium
* New upstream release (17.08.3)
2017-08-21 - José Manuel Santamaría Lema <panfaust@gmail.com>
kmime (17.04.3-0ubuntu1) artful; urgency=medium
[ Rik Mills ]
* Bump soname with debianabimanager due to binary incompatible changes:
libkf5mime5 -> libkf5mime5abi1
[ José Manuel Santamaría Lema ]
* New upstream release (17.04.1)
* Update enable_debian_abi_manager.diff
* Add libkf5mime-data installing libkmime5.mo
* New upstream release (17.04.2)
* New upstream release (17.04.3)
2017-05-01 - José Manuel Santamaría Lema <panfaust@gmail.com>
kmime (16.12.3-0ubuntu1) artful; urgency=medium
[ José Manuel Santamaría Lema ]
* Update Vcs-Git fields to use https:// instead of git://
* Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
avoid possible spurious test failures.
* New upstream release (16.12.3)
[ Rik Mills ]
* New upstream release (16.12.0)
* New upstream release (16.12.1)
[ Darin Miller ]
* New upstream release (16.12.2)
2016-09-30 - José Manuel Santamaría Lema <panfaust@gmail.com>
kmime (16.04.3-0ubuntu1) yakkety; urgency=medium
[ Scarlett Clark ]
* New upstream release
* SO version bump install file. 
[ Philip Muškovac ]
* Update the Vcs URLs now that the repositories are hosted on
Launchpad
[ Scarlett Clark ]
* New upstream bugfix release
* Remove disable_failing_test in which fails itself. 
[ Clive Johnston ]
* New upstream release (16.04.2)
* New upstream release (16.04.3)
2016-04-14 - Scarlett Clark <sgclark@kubuntu.org>
kmime (15.12.3-0ubuntu1) xenial; urgency=medium
* New upstream bugfix release
* New upstream bugfix release
2016-03-09 - Scarlett Clark <sgclark@kubuntu.org>
kmime (15.12.1-0ubuntu1) xenial; urgency=medium
* New upstream release.
* Debian merge: No remaining changes. 
* Trigger new build. no changes. 
* Remove build dep boost, was removed upstream back in August,
and we are have strange failures in kdepim-runtime with boost
share_ptr. 
* No change: rebuild with new akonadi-search. 
* git rm missing_headers as it was dropped. 
2016-02-01 - Maximiliano Curia <maxy@debian.org>
kmime (15.12.0-1) experimental; urgency=medium
* New upstream release (15.12.0).
2016-01-02 - Clive Johnston <clivejo@aol.com>
kmime (15.12.0-0ubuntu1) UNRELEASED; urgency=medium
* New upstream release

See Also

Package Description
libkf5mime5abi2_17.12.3-0ubuntu1_amd64.deb library for handling MIME data
libkf5mimetreeparser-dev_17.12.3-0ubuntu3_amd64.deb KDE PIM Mime Tree parser library devel files
libkf5mimetreeparser5abi2_17.12.3-0ubuntu3_amd64.deb KDE PIM Mime Tree parser library
libkf5modemmanagerqt6_5.44.0-0ubuntu1_amd64.deb Qt wrapper library for ModemManager
libkf5networkmanagerqt-dev_5.44.0-0ubuntu1_amd64.deb Qt wrapper for NetworkManager - devel files
libkf5networkmanagerqt6_5.44.0-0ubuntu1_amd64.deb Qt wrapper for NetworkManager - library
libkf5newstuff-data_5.44.0-0ubuntu1_all.deb Support for downloading application assets from the network
libkf5newstuff-dev_5.44.0-0ubuntu1_amd64.deb development files for knewstuff
libkf5newstuff5_5.44.0-0ubuntu1_amd64.deb Support for downloading application assets from the network
libkf5newstuffcore5_5.44.0-0ubuntu1_amd64.deb Support for downloading application assets from the network
libkf5notifications-data_5.44.0-0ubuntu1_all.deb Framework for desktop notifications
libkf5notifications-dev_5.44.0-0ubuntu1_amd64.deb Framework for desktop notifications
libkf5notifications5_5.44.0-0ubuntu1_amd64.deb Framework for desktop notifications
libkf5notifyconfig-data_5.44.0-0ubuntu1_all.deb Configuration system for KNotify
libkf5notifyconfig-dev_5.44.0-0ubuntu1_amd64.deb development files for knotifyconfig
Advertisement
Advertisement